#
# MIT License
#
# Copyright © 2022 Hank AI, Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#
"""Hank AI DocuVision API Client lib initialization."""
from hankai.api_client.lib.api_client import *
from hankai.api_client.lib.api_client_argparse import *
from hankai.api_client.lib.api_client_executor import *
from hankai.api_client.lib.autocoding_api_response import *
from hankai.api_client.lib.docuvision_api_response import *
from hankai.api_client.lib.docuvision_transform_facesheet import *
from hankai.api_client.lib.docuvision_transform_facesheet_csv_argparse import *
from hankai.api_client.lib.docuvision_transform_facesheet_csv_default import *
from hankai.api_client.lib.docuvision_transform_facesheet_csv_parser import *
from hankai.api_client.lib.enum_other import *
from hankai.api_client.lib.mock_message_argparse import *
from hankai.api_client.lib.mock_message_default import *
from hankai.api_client.lib.transform import *

__all__ = [
    "APIClient",
    "APIClientArgparse",
    "APIClientEnv",
    "APIClientExecutor",
    "AutoCodingAPIResponse",
    "CSVDefault",
    "DocuVisionAPIResponse",
    "DocuVisionAPIResponseMessage",
    "DocuVisionAPIResponseMetadata",
    "DotmapValueCI",
    "MockArgparse",
    "MockDefault",
    "TransformFacesheetClientMap",
    "TransformFacesheetCSV",
    "PhoneNumberFormat",
    "TransformFacesheetCSVEnv",
    "TransformFacesheetCSVArgparse",
    "TransformFacesheetMaps",
    "TransformFacesheetCSVParser",
    "ServiceTransform",
    "SQSServiceTransformer",
    "SQSTransform",
]

__version__ = "3.2.3"
